From d791e61b7af76674697e8b217c2531c2da5aacf3 Mon Sep 17 00:00:00 2001
From: Jacob Champion <jchampion@timescale.com>
Date: Wed, 12 Apr 2023 13:22:31 -0700
Subject: [PATCH v99] CI: undo Homebrew OpenSSL workaround

...after 0b5d1fb36, which recognizes the "unregistered scheme" error
condition in the tests.
---
 .cirrus.yml | 14 +-------------
 1 file changed, 1 insertion(+), 13 deletions(-)

diff --git a/.cirrus.yml b/.cirrus.yml
index b47a8ae100..113f454524 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -477,24 +477,12 @@ task:
       make \
       meson \
       openldap \
-      openssl@3 \
+      openssl \
       python \
       tcl-tk \
       zstd
 
     brew cleanup -s # to reduce cache size
-
-    # brew cleanup removes the empty certs directory in OPENSSLDIR, causing
-    # OpenSSL to report unexpected errors ("unregistered scheme") during
-    # verification failures. Put it back for now as a workaround.
-    #
-    #   https://github.com/orgs/Homebrew/discussions/4030
-    #
-    # Note that $(brew --prefix openssl) will give us the opt/ prefix but not
-    # the etc/ prefix, so we hardcode the full path here. openssl@3 is pinned
-    # above to try to minimize the chances of this changing beneath us, but it's
-    # brittle...
-    mkdir -p "/opt/homebrew/etc/openssl@3/certs"
   upload_caches: homebrew
 
   ccache_cache:
-- 
2.25.1

